Bug 190129 - Review Request: python-krbV
Review Request: python-krbV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-27 16:22 EDT by Mike Bonnet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-21 17:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike Bonnet 2006-04-27 16:22:16 EDT
Spec URL: http://people.redhat.com/mikeb/python-krbV/python-krbV.spec
SRPM URL: http://people.redhat.com/mikeb/python-krbV/python-krbV-1.0.12-2.src.rpm
Description: python-krbV allows python programs to use Kerberos 5 authentication/security
Comment 1 Mike Bonnet 2006-05-19 14:27:50 EDT
This has been waiting around for a review for a while now.  Any chance of
getting it reviewed?
Comment 2 Jason Tibbitts 2006-05-19 17:36:54 EDT
I'm no Python expert but I'll have a go.
Comment 3 Jason Tibbitts 2006-05-19 18:52:55 EDT
A few issues:

specfile in srpm is mode 0600 and source tarball in srpm is mode 0664.  Both
should be 644.  These probably don't matter once things are in CVS, but just in
case I would fix them before checking in.

There's no reason to BuildRequires: python; python-devel will pull it in (not a
blocker).

You use %{optflags} instead of $RPM_OPT_FLAGS (which is fine), but still use
$RPM_BUILD_ROOT instead of %{buildroot}.  The guidelines explicitly discourage
this:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf

Review:
* package meets naming and packaging guidelines.
X specfile is properly named and is cleanly written but does not use macros
consistently (see $RPM_BUILD_ROOT comment above).
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream (makes sense; you are the upstream):
   b79db9912efd76ab9a88441e455455d4  python-krbV-1.0.12.tar.gz
   b79db9912efd76ab9a88441e455455d4  python-krbV-1.0.12.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (BR: python not needed but not a blocker).
* package builds in mock (development, x86_64).
O rpmlint is silent (it does warn about inappropriate permissions in the SRPM).
* final provides and requires are sane:
   krbVmodule.so()(64bit)
   python-krbV = 1.0.12-2.fc6
  -
   libc.so.6()(64bit)
   libc.so.6(GLIBC_2.2.5)(64bit)
   libc.so.6(GLIBC_2.3.4)(64bit)
   libc.so.6(GLIBC_2.4)(64bit)
   libkrb5.so.3()(64bit)
   libkrb5.so.3(krb5_3_MIT)(64bit)
   python(abi) = 2.4
   python-abi = 2.4
   rpmlib(CompressedFileNames) <= 3.0.4-1
   rpmlib(PayloadFilesHavePrefix) <= 4.0-1
* shared libraries are present, but internal to Python so there's no need to run
ldconfig.
* no .pyo files to %ghost.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
O file permissions are appropriate, except in the srpm.
* %clean is present.
O %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 4 Mike Bonnet 2006-05-21 14:13:05 EDT
New specfile and srpm posted:

http://people.redhat.com/mikeb/python-krbV/python-krbV.spec
http://people.redhat.com/mikeb/python-krbV/python-krbV-1.0.12-3.src.rpm

Fixed .spec permissions (rpmbuild -ts was doing something funny).
Removed BuildRequires: python
Replaced $RPM_BUILD_ROOT with %{buildroot}
Comment 5 Jason Tibbitts 2006-05-21 14:38:38 EDT
Odd that the tarball is still mode 664, but this definitely won't matter after
you import.  Otherwise, everything looks good.

APPROVED
Comment 6 Mike Bonnet 2006-05-21 17:05:01 EDT
Thanks, built in devel.
Comment 7 Mike Bonnet 2007-05-07 14:34:34 EDT
Package Change Request
======================
Package Name: python-krbV
New Branches: EL-4 EL-5 FC-5

Note You need to log in before you can comment on or make changes to this bug.